cURL
curl --request PATCH \
--url https://api.staging.qyl.dev/api/v1/errors/{errorId} \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to": "<string>",
"issue_url": "<string>"
}
'import requests
url = "https://api.staging.qyl.dev/api/v1/errors/{errorId}"
payload = {
"assigned_to": "<string>",
"issue_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({assigned_to: '<string>', issue_url: '<string>'})
};
fetch('https://api.staging.qyl.dev/api/v1/errors/{errorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_id": "<string>",
"error.type": "<string>",
"message": "<string>",
"category": "client",
"fingerprint": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"occurrence_count": 1,
"status": "new",
"affected_users": 1,
"affected_services": [
"<string>"
],
"assigned_to": "<string>",
"issue_url": "<string>",
"sample_traces": [
"0af7651916cd43dd8448eb211c80319c"
]
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Errors
Patch apiv1errors
Update error status
PATCH
/
api
/
v1
/
errors
/
{errorId}
cURL
Path Parameters
Body
application/json
Response
The request has succeeded.
Error entity for tracking and analysis
Error ID
Error type (class name or code)
Error message
Error category
Available options:
client, server, network, timeout, validation, authentication, authorization, rate_limit, not_found, conflict, internal, external, database, configuration, unknown Fingerprint for grouping
First occurrence
Last occurrence
Occurrence count
Required range:
x >= 0Status
Available options:
new, acknowledged, in_progress, resolved, ignored, regressed, wont_fix Affected users count
Required range:
x >= 0Affected services
Assigned to
Issue tracker URL
Sample trace IDs
Unique trace identifier (32 lowercase hex characters)
Required string length:
32Pattern:
^[a-f0-9]{32}$Was this page helpful?
